<!-- 
 ###############################################################################
 File: home.tpl
 Project: admin
 File Created: Wednesday, 5th August 2020 3:26:17 pm
 Author: Thomas Brinkmann (doyl@dsh.icu)
 -----
 Last Modified: Friday, 19th March 2021 5:36:49 pm
 Modified By: Thomas Brinkmann (doyl@dsh.icu>)
 -----
 Copyright 2020 - Thomas Brinkmann. All Rights Reserved.
 -----
 License Text 
 Es ist Ihnen untersagt diese Software zu kopieren, manipulieren, verbreiten oder anderweitig ohne ausdrückliche Erlaubnis zu nutzen.
 Sie dürfen ebenfalls nicht den Copyright Hinweis entfernen. 
 
 It is prohibited to copy, manipulate, distribute or otherwise use this software without express permission.
 You may also not remove the copyright notice. 
 -----
 ###############################################################################
 -->

<link rel="stylesheet" href="../modules/addons/themanager/Templates/assets/css/main.css">


<div class="row"> 
    {include file="$tplPath/admin/includes/navbar.tpl"}
</div>        

<div class="col-md-10 mContainer">

    <h2 class="text-center">Overview</h2>

     <div class="col-xl-5 col-md-5 col-sm-12 col-xs-12">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-tasks"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">Settings</h2>
                </div>
            </div>
            <div class="infocard-body">

                <form method="POST" action="addonmodules.php?module=themanager">

                    <label for="Username">{$addonlang.Settings.Username.Title}</label>
                    <input class="form-control" type="text" id="Username" name="Username" value="{if $tplVars.Username} {$tplVars.Username} {/if}" placeholder="Enter your Username" /> <br/>
                    
                    <label for="Password">{$addonlang.Settings.Password.Title}</label>
                    <input class="form-control" type="password" id="Password" name="Password" value="{if $tplVars.Password} {$tplVars.Password} {/if}" placeholder="Enter your Password" /><br/>
                    
                    <label for="AccessHash">{$addonlang.Settings.AccessHash.Title}</label>
                    <input class="form-control" type="password" id="AccessHash" name="AccessHash" value="{if $tplVars.AccessHash} {$tplVars.AccessHash} {/if}" placeholder="Enter your AccessHash" /><br/>
                    
                    <br/><br/>
                    <button class="btn btn-primary">{$addonlang.Settings.BtnSave.Title}</button>
                </form>

            </div>
            <span class="btn-loader loader hidden">Loading...</span>
        </div>
     </div>

</div>
