<link rel="stylesheet" href="modules/addons/themanager/Templates/assets/css/main.css">

{include file='./includes/navbar.tpl'}

{if !isset($tplVars.ServiceID)  }
    

    <div class="col-xl-12 col-md-12 col-sm-12 col-xs-12 cContainer">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-exclamation-triangle fa-2x"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">Error - No service selected!</h2>
                </div>
            </div>
            <div class="infocard-body text-center">
                    <p class="text-center">No Service selected, go back and select an Service!</p>
                    <a class="btn btn-info" href="index.php?m=themanager&page=home">Go back</a>
            </div>
        </div>
     </div>

{else}


<div class="cContainer">
    <div class="col-xl-12 col-md-12 col-sm-12 col-xs-12 cContainer">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-tasks"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">{$addonlang.DDOS.IP.Title}</h2>
                </div>
            </div>
            <div class="infocard-body">
                    <p class="text-center">Select the IP you want to check</p>
                    <div class="media-body media-middle"><center>
                        <select class="form-control text-center" style="max-width:400px;" name="ip" id="ip" placeholder="xxx.xxx.xxx.xxx">
                        </select>
                    </center></div><br />
                    <div id="loader" class="conanloader mt-2 mb-2 hidden"></div>
                    <p>Change the IP from the List to edit the filter for the IP Address.</p>
                
            </div>
        </div>
     </div>
    
     <div class="col-xl-4 col-md-4 col-sm-12 col-xs-12 cContainer">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-shield-alt"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">{$addonlang.DDOS.Status.Title}</h2>
                </div>
            </div>
            <div class="infocard-body">
                <b class="lblstatus">Layer 4 Dynamic</b>{if $tplVars.currentstatus}<b id="l4_dyn" class="{if $tplVars.currentstatus->l4_dynamic == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->l4_dynamic}</b>{/if}<br/>
                <b class="lblstatus">Layer 4 Permanent</b>{if $tplVars.currentstatus}<b id="l4_perm" class="{if $tplVars.currentstatus->l4_permanent == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->l4_permanent}</b>{/if}<br/>
                <b class="lblstatus">Layer 7 Permanent</b>{if $tplVars.currentstatus}<b id="l7_perm" class="{if $tplVars.currentstatus->l7_permanent == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->l7_permanent}</b>{/if}<br/>
                <b class="lblstatus">Layer 7 Only</b>{if $tplVars.currentstatus}<b id="l7_only" class="{if $tplVars.currentstatus->l7_only == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->l7_only}</b>{/if}<br/>
                <b id="lastchange" class="lblstatus">Last change {$tplVars.currentstatus->last_change|date_format:"F j, Y, g:i a"}</b>
    
            </div>
            
        </div>
     </div>
    
     <div class="col-xl-4 col-md-4 col-sm-12 col-xs-12 cContainer">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-shield-alt"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">{$addonlang.DDOS.Layer4.Title}</h2>
                </div>
            </div>
            <div class="infocard-body">
                <p>{$addonlang.DDOS.Layer4.Description}</p>
                <li class="list-group-item">
                    {$addonlang.DDOS.Layer4.Permanent}
                        <div class="material-switch pull-right">
                            <input onclick="FilterChange(this, 'Layer4Permanent');" id="l4Permanent" {if $tplVars.currentstatus->l4_permanent == 'on'}checked {/if} name="l4Permanent" type="checkbox">
                            <label for="l4Permanent" class="bg-dsh"></label>
                        </div>
                </li>
    
            </div>
        </div>
     </div>
    
     <div class="col-xl-4 col-md-4 col-sm-12 col-xs-12 cContainer">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-shield-alt"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">{$addonlang.DDOS.Layer7.Title}</h2>
                </div>
            </div>
            <div class="infocard-body">
                <p>{$addonlang.DDOS.Layer7.Description}</p>
                <li class="list-group-item mb-2">
                    {$addonlang.DDOS.Layer7.On}
                        <div class="material-switch pull-right">
                            <input onclick="FilterChange(this, 'Layer7Permanent');" id="l7On" {if $tplVars.currentstatus->l7_permanent == 'on'} checked {/if} name="l7On" type="checkbox">
                            <label for="l7On" class="bg-dsh"></label>
                        </div>
                </li>

                <li class="list-group-item">
                    {$addonlang.DDOS.Layer7.Only}
                        <div class="material-switch pull-right">
                            <input onclick="FilterChange(this, 'Layer7Only');" id="l7Only" {if $tplVars.currentstatus->l7_only == 'on'} checked {/if} name="l7Only" type="checkbox">
                            <label for="l7Only" class="bg-dsh"></label>
                        </div>
                </li>
    
            </div>
            
        </div>
     </div>
    
    </div>
{/if}
<script>

var ips = {$tplVars.IPs->IPv4|@json_encode};

$(document).ready(function(){
    ips.forEach(element => { $('#ip').append(new Option(element, element)); });
    $("#ip").on('change', function(e){    
        $('#loader').removeClass('hidden');
        requestData({ action: 'status', selectedip: $(e.target).val()}, function(response){
            changeStats(response);
            $('#loader').addClass('hidden');
        });
    });
});


function FilterChange(e, filter){
            var stat = $(e).prop('checked');
            if (stat == true){
                stat = "on";
            } else { filter = filter + "Off"; }

            requestData({ action: filter, selectedip: $('#ip').val(), currentStatus: stat }, function(response){
                switch(filter){
                    case "Layer4Permanent": 
                        if (response.result == "success"){
                            changeStatus('#l4_perm', 'on');
                        } else { changeStatus('#l4_perm', 'off'); }
                    break;
                    case "Layer4PermanentOff": 
                        if (response.result == "success"){
                            changeStatus('#l4_perm', 'off');
                        } else { changeStatus('#l4_perm', 'off'); }
                    break;

                    case "Layer7Permanent": 
                        if (response.result == "success"){
                            changeStatus('#l7_perm', 'on');
                            changeStatus('#l4_perm', 'on');
                        } else { changeStatus('#l7_perm', 'off'); changeStatus('#l4_perm', 'off'); }
                    break;
                    case "Layer7PermanentOff": 
                        if (response.result == "success"){
                            changeStatus('#l7_perm', 'off');
                            changeStatus('#l4_perm', 'off');
                        } else { changeStatus('#l7_perm', 'off'); changeStatus('#l4_perm', 'off'); }
                    break;

                    case "Layer7Only": 
                        if (response.result == "success"){
                            changeStatus('#l7_only', 'on');
                        } else { changeStatus('#l7_only', 'off'); }
                    break;

                    case "Layer7OnlyOff": 
                        if (response.result == "success"){
                            changeStatus('#l7_only', 'off');
                        } else { changeStatus('#l7_only', 'off'); }
                    break;
                }

                if (response.result == "success"){
                    toastr.success("{$addonlang.DDOS.Toast.RoutingChanged}")
                } else {
                    toastr.error("{$addonlang.DDOS.Toast.RoutingNotChanged}")
                }
            });
    }


function requestData(formdata, callback){
     	$.ajax({
            type: 'POST',
            crossDomain: false,
            url: '{$modulelink}&page=ddos&serviceid={$tplVars.ServiceID}',
            data: formdata,
            success: function(respond){
             	callback(respond);
            },
            error: function(response){
                console.log(response);
            }
        });
    };

function changeStats(response){
    if (response.result == "error"){
        changeStatus('#l4_dyn', 'off');
        changeStatus('#l4_perm', 'off');
        changeStatus('#l7_perm', 'off');
        changeStatus('#l7_only', 'off');
        $('#lastchange').html("Last change never");
    } else {
        changeStatus('#l4_dyn', response.l4_dynamic);
        changeStatus('#l4_perm', response.l4_permanent);
        changeStatus('#l7_perm', response.l7_permanent);
        changeStatus('#l7_only', response.l7_only);
        $('#lastchange').html("Last change " + response.last_change);
    }
}

function changeStatus(element, status){

    switch (element){
        case "#l4_perm":
            changeInputCheck('#l4Permanent', status)
        break;

        case "#l7_perm":
            changeInputCheck('#l7On', status);
        break;

        case "#l7_only":
            changeInputCheck('#l7Only', status);
        break;
    }

    if (status == 'on'){
        $(element).removeClass('lbloff');
        $(element).addClass('lblon');
        $(element).html(status);
    } else {
        $(element).removeClass('lblon');
        $(element).addClass('lbloff');
        $(element).html(status);
    }
}

function changeInputCheck(element, status){
    if (status == 'on'){
        $(element).prop('checked', true);
    } else {
        $(element).prop('checked', false);
    }
}

</script>