<!-- 
 ###############################################################################
 File: ddos.tpl
 Project: admin
 File Created: Tuesday, 2nd March 2021 11:45:26 am
 Author: Thomas Brinkmann (doyl@dsh.icu)
 -----
 Last Modified: Saturday, 20th March 2021 12:31:10 am
 Modified By: Thomas Brinkmann (doyl@dsh.icu>)
 -----
 Copyright 2021 - Thomas Brinkmann. All Rights Reserved.
 -----
 License Text 
 Es ist Ihnen untersagt diese Software zu kopieren, manipulieren, verbreiten oder anderweitig ohne ausdrückliche Erlaubnis zu nutzen.
 Sie dürfen ebenfalls nicht den Copyright Hinweis entfernen. 
 
 It is prohibited to copy, manipulate, distribute or otherwise use this software without express permission.
 You may also not remove the copyright notice. 
 -----
 ###############################################################################
 -->

 <link rel="stylesheet" href="../modules/addons/themanager/Templates/assets/css/main.css">


<div class="row"> 
    {include file="$tplPath/admin/includes/navbar.tpl"}
</div>        



<div class="col-md-10 mContainer justify-content-md-center">

    <h2 class="text-center">{$addonlang.DDOS.MGT.Title}</h2>

    <div class="col-xl-12 col-md-12 col-sm-12 col-xs-12">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-tasks"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">{$addonlang.DDOS.IP.Title}</h2>
                </div>
            </div>
            <div class="infocard-body">
                <form method="GET" action="">
                    <input type="hidden" id="module" name="module" value="themanager">
                    <input type="hidden" id="module" name="page" value="ddos">
                    <p class="text-center">Current selected IP: <br/>{$tplVars.selectedIP}</p>
                    <div class="media-body media-middle"><center>
                        <input type="text" class="form-control text-center" style="max-width:400px;" name="ip" id="ip" placeholder="xxx.xxx.xxx.xxx"/>
                    </center></div><br />
                    <div class="text-center"><button class="btn btn-primary">{$addonlang.DDOS.IP.Btn}</button></div>
                </form>
                <br/><br/><br/>
                {if $tplVars.incidents && $tplVars.incidents->status != "blank"}
                <div class="table-wrapper mt-4">
                    <table id="ddostable" class="incidents-table">
                        <thead >
                        <tr>
                        <th><center>{$addonlang.Incidents.Table.IPv4}</center></th>
                        <th>{$addonlang.Incidents.Table.Type}</th> 
                        <th>{$addonlang.Incidents.Table.Traffic}</th> 
                        <th>{$addonlang.Incidents.Table.Packets}</th>
                        <th>{$addonlang.Incidents.Table.AveragePacketsize}</th>
                        <th>{$addonlang.Incidents.Table.Time}</th>
                        </tr></thead>
                        
                        <tbody>
                        
                            {foreach from=$tplVars.incidents item=inci}
                            <tr>
                                <td><center>{$inci->ip}</center></td>
                                <td><b class="lblddos">DDoS</b></td> 
                                <td><b class="lbltraffic">{$inci->traffic|number_format:1:".":","} mbit/s</b></td> 
                                <td>{$inci->packets|number_format:1:".":","}</td>
                                <td>{if $inci->avg_pktsize eq ""}0.0 Bytes{else}{$inci->avg_pktsize|number_format:1:".":","} Bytes{/if}</td>
                                <td>{$inci->time|date_format:"F j, Y, g:i a"}</td>
                            </tr>
                            {/foreach}
                    </tbody>
                    </table>
                </div>
                {/if}

            </div>
        </div>
     </div>

     <div class="col-xl-3 col-md-3 col-sm-12 col-xs-12">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-shield-alt"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">{$addonlang.DDOS.Status.Title}</h2>
                </div>
            </div>
            <div class="infocard-body">
                <p>{$addonlang.DDOS.Status.Description}</p><br/>
                <b class="lblstatus">Layer 4 Dynamic</b>{if $tplVars.currentstatus}<b class="{if $tplVars.currentstatus->l4_dynamic == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->l4_dynamic}</b>{/if}<br/>
                <b class="lblstatus">Layer 4 Permanent</b>{if $tplVars.currentstatus}<b class="{if $tplVars.currentstatus->l4_permanent == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->l4_permanent}</b>{/if}<br/>
                <b class="lblstatus">Layer 7 Permanent</b>{if $tplVars.currentstatus}<b class="{if $tplVars.currentstatus->l7_permanent == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->l7_permanent}</b>{/if}<br/>
                <b class="lblstatus">Layer 7 Only</b>{if $tplVars.currentstatus}<b class="{if $tplVars.currentstatus->l7_only == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->l7_only}</b>{/if}<br/>
                <b class="lblstatus">Flowspec</b>{if $tplVars.currentstatus}<b class="{if $tplVars.currentstatus->flowspec == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->flowspec}</b>{/if}<br/>
                <b class="lblstatus">Blackhole</b>{if $tplVars.currentstatus}<b class="{if $tplVars.currentstatus->blackhole == 'on'}lblon{else}lbloff{/if}">{$tplVars.currentstatus->blackhole}</b>{/if}<br/>
                <b class="lblstatus">Last Change {$tplVars.currentstatus->last_change|date_format:"F j, Y, g:i a"}</b>

            </div>
            
        </div>
     </div>

     <div class="col-xl-4 col-md-4 col-sm-12 col-xs-12 ">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-shield-alt"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">{$addonlang.DDOS.Layer4.Title}</h2>
                </div>
            </div>
            <div class="infocard-body">
                <p>{$addonlang.DDOS.Layer4.Description}</p>
                <li class="list-group-item">
                    {$addonlang.DDOS.Layer4.Permanent}
                        <div class="material-switcha pull-right">
                            <input onchange="FilterChange('Layer4Permanent');" id="l4Permanent" {if $tplVars.currentstatus->l4_permanent == 'on'}checked {/if} name="l4Permanent" type="checkbox">
                            <label for="l4Permanent" class="bg-dsh"></label>
                        </div>
                </li>

            </div>
        </div>
     </div>

     <div class="col-xl-4 col-md-4 col-sm-12 col-xs-12">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-shield-alt"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">{$addonlang.DDOS.Layer7.Title}</h2>
                </div>
            </div>
            <div class="infocard-body">
                <p>{$addonlang.DDOS.Layer7.Description}</p>
                <li class="list-group-item mb-2">
                    {$addonlang.DDOS.Layer7.On}
                        <div class="material-switcha pull-right">
                            <input onchange="FilterChange('Layer7Permanent');" id="l7On" {if $tplVars.currentstatus->l7_permanent == 'on'} checked {/if} name="l7On" type="checkbox">
                            <label for="l7On" class="bg-dsh"></label>
                        </div>
                </li>

                <li class="list-group-item">
                    {$addonlang.DDOS.Layer7.Only}
                        <div class="material-switcha pull-right">
                            <input onchange="FilterChange('Layer7Only');" id="l7Only" {if $tplVars.currentstatus->l7_only == 'on'} checked {/if} name="l7Only" type="checkbox">
                            <label for="l7Only" class="bg-dsh"></label>
                        </div>
                </li>

            </div>
            
        </div>
     </div>

</div>

<script>
    $(document).ready(function(){
        $('#ddostable').DataTable();
    });


    function FilterChange(filter){
        requestData({ filter: filter }, function(response){
            if (response.result === "success"){
                toastr.success("{$addonlang.DDOS.Toast.RoutingChanged}")
            } else {
                toastr.error("{$addonlang.DDOS.Toast.RoutingNotChanged}")
            }
        });
    }



    function requestData(formdata, callback){
     	$.ajax({
            type: 'POST',
            crossDomain: false,
            url: 'addonmodules.php?module=themanager&page=ddos&ip={$tplVars.selectedIP}',
            data: formdata,
            success: function(respond){
             	callback(respond);
            },
            error: function(response){
                console.log(response);
            }
        });
    };

</script>

