<!-- 
 ###############################################################################
 File: service.tpl
 Project: admin
 File Created: Tuesday, 16th March 2021 3:49:27 pm
 Author: Thomas Brinkmann (doyl@dsh.icu)
 -----
 Last Modified: Friday, 19th March 2021 5:37:03 pm
 Modified By: Thomas Brinkmann (doyl@dsh.icu>)
 -----
 Copyright 2021 - Thomas Brinkmann. All Rights Reserved.
 -----
 License Text 
 Es ist Ihnen untersagt diese Software zu kopieren, manipulieren, verbreiten oder anderweitig ohne ausdrückliche Erlaubnis zu nutzen.
 Sie dürfen ebenfalls nicht den Copyright Hinweis entfernen. 
 
 It is prohibited to copy, manipulate, distribute or otherwise use this software without express permission.
 You may also not remove the copyright notice. 
 -----
 ###############################################################################
 -->

<link rel="stylesheet" href="../modules/addons/themanager/Templates/assets/css/main.css">


<div class="row"> 
    {include file="$tplPath/admin/includes/navbar.tpl"}
</div>        

<div class="modal fade" tabindex="-1" role="dialog" id="cancel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">{$addonlang.Service.CancelModal.Title}</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p>{$addonlang.Service.CancelModal.Description}</p>
          <form>
              <div class="form-group">
                  <label class="form-label">{$addonlang.Service.CancelModal.TextAreaLbl}</label>
                  <textarea name="cancelreason" style="resize: none;" id="cancelreason" cols="78" rows="10"></textarea>
              </div>
              <hr />
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" onclick="AddCanallationrequest()">{$addonlang.Service.CancelModal.SaveBtn}</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">{$addonlang.Service.CancelModal.CloseBtn}</button>
        </div>
      </div>
    </div>
  </div>

<!-- REINSTALL MODAL -->
<div class="modal fade" tabindex="-1" role="dialog" id="reinstall" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">{$addonlang.Service.ReinstallModal.Title}</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p>{$addonlang.Service.ReinstallModal.Description}</p>
          <form>
              <div class="form-group">
                  <label class="form-label">{$addonlang.Service.Modal.RootPW}</label>
                  <input class="form-control" type="text" name="rsRootPass" id="rsRootPass" value="{$tplVars.rdPwd}" placeholder="{$addonlang.Service.Modal.RootPW1Placeholder}">
              </div>
              <div class="form-group">
                  <label class="form-label">{$addonlang.Service.Modal.RootPW2}</label>
                  <input class="form-control" type="text" name="rsRootPass2" id="rsRootPass2" value="{$tplVars.rdPwd}" placeholder="{$addonlang.Service.Modal.RootPW2Placeholder}">
              </div>
              <hr />
              <p>{$addonlang.Service.Modal.OSDescription}</p>
              <div class="form-group">
                  <label class="form-label">{$addonlang.Service.Modal.OSTitle}</label>
                  <select id="osSelect" class="form-control"></select>
              </div>
              <hr />
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" onclick="reinstall()">{$addonlang.Service.Modal.ReinstallBtn}</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">{$addonlang.Service.Modal.CloseBtn}</button>
        </div>
      </div>
    </div>
  </div>
  
  <!-- RECUE MODAL -->
  <div class="modal fade" tabindex="-1" role="dialog" id="rescue" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">{$addonlang.Service.RescueModal.Title}</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p>{$addonlang.Service.RescueModal.Description}</p>
            <form>
                <div class="form-group">
                    <label class="form-label">{$addonlang.Service.Modal.RootPW}</label>
                    <input class="form-control" type="text" name="rRootPass" id="rRootPass" required value="{$tplVars.rdPwd}" placeholder="{$addonlang.Service.Modal.RootPW1Placeholder}">
                </div>
                <div class="form-group">
                    <label class="form-label">{$addonlang.Service.Modal.RootPW}</label>
                    <input class="form-control" type="text" name="rRootPass2" id="rRootPass2" required value="{$tplVars.rdPwd}" placeholder="{$addonlang.Service.Modal.RootPW2Placeholder}">
                </div>
                <hr />
                <p>{$addonlang.Service.RescueModal.Description2}</p>
                <div class="form-group">
                    <label class="form-label">{$addonlang.Service.RescueModal.RescueSelect}</label>
                    <select id="rsSelect" class="form-control"></select>
                </div>
                <hr />
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" onclick="rescue();">{$addonlang.Service.RescueModal.BootBtn}</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">{$addonlang.Service.RescueModal.CloseBtn}</button>
          </div>
        </div>
      </div>
    </div>


<div class="col-md-10 mContainer justify-content-md-center">


    <div id="infocard" class="col-xl-3 col-md-3 col-sm-12 col-xs-12 hidden">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-info"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">Service Informations from DSH Side</h2>
                </div>
            </div>
            <div class="infocard-body">
                
                <div class="messagebox">
                    <div class="icon"><i class="fas fa-hashtag"></i></div>
                    <div class="message">Service ID: <b id="serviceid" class="object"></b></div>
                </div>
                <div class="messagebox mt-1">
                    <div class="icon"><i class="fas fa-exclamation-circle"></i></div>
                    <div class="message">Service Status: <b id="servicetstaus" class="object"></b></div>
                </div>
                <div class="messagebox mt-1">
                    <div class="icon"><i class="far fa-window-restore"></i></div>
                    <div class="message">Service Type: <b id="servicetype" class="object"></b></div>
                </div>
                <div class="messagebox mt-1">
                    <div class="icon"><i class="fas fa-dollar-sign"></i></div>
                    <div class="message">Recurring price: <b id="serviceprice" class="object"></b></div>
                </div>
                <div class="messagebox mt-1">
                    <div class="icon"><i class="far fa-clock"></i></div>
                    <div class="message">Due Date: <b id="serviceduedate" class="object"></b></div>
                </div>
                <center>
                <a id="viewDSH" href="#" class="btn mt-1 btn-info">View on DSH</a>
                <button class="btn mt-1 btn-danger" data-toggle="modal" data-target="#cancel">Add Cancellation Request</button>
                <hr>
                
                <button class="btn btn-success" onclick="start();">Start</button>
                <button class="btn btn-warning" onclick="restart();">Restart</button>
                <button class="btn btn-danger" onclick="stop();">Stop</button>
                <button class="btn btn-info" data-toggle="modal" data-target="#reinstall">Reinstall</button>
                <button class="btn btn-info" data-toggle="modal" data-target="#rescue">Rescue</button>
                </center>
            </div>
            
        </div>
     </div>

    <div class="col-xl-6 col-md-6 col-sm-12 col-xs-12">
        <div class="infocard pmd-z-depth todos">     
            <div class="infocard-title">
                <div class="media-left"><i class="fas fa-tasks"></i></div>
                <div class="media-body media-middle">
                    <h2 class="infocard-title-text">Search for your Service on DSH Side</h2>
                </div>
            </div>
            <div class="infocard-body">
                <div id="searchbox">
                    <p class="text-center">Search for the Service</p>
                    <div class="media-body media-middle"><center>
                        <input type="text" class="form-control text-center" style="max-width:400px;" name="searchtxt" id="searchtxt" placeholder="Service IP or Service ID"/>
                    </center></div><br />
                    <div class="text-center"><button onclick="search();" class="btn btn-primary">Search</button></div>
                </div>
                <div id="searchloader" class="hidden conanloader mt-1 mb-4"></div>
                <p class="mt-1">
                    Search for your Service on DeinServerHost.de to find the correct settings. You can find the service by it's IP or it's ID. 
                    You'll see Service ID, Price, Type, Status, Due date and Quick Manage options. 
                </p>

            </div>
        </div>
     </div>



</div>

<script>

var Templates = {$tplVars.AvTemplates|@json_encode};
var ServiceID = 0;
window.onload = function () {

    Templates.forEach(element => {
                if (element.id != 585) {
                    $('#osSelect').append(new Option(element.name, element.id));
                } else {
                    $('#rsSelect').append(new Option(element.name, element.id));
                }
                
            });

    }
 
function start(){
     requestData({
        Action: "Start",
        ServiceId: ServiceID
    }, function(response){
        if (response.result === "error"){
            toastr.error('The service could not be started!', 'Error');
            return;
        }
        toastr.success('The service will be started!', 'Success');

    });
}

function restart(){
    requestData({
        Action: "Restart",
        ServiceId: ServiceID
    }, function(response){
        if (response.result === "error"){
            toastr.error('The service could not be restarted!', 'Error');
            return;
        }
        toastr.success('The service will be restarted!', 'Success');

    });
}

function stop(){
    confirmModal("{$addonlang.Service.StopConfirm.Title}", "{$addonlang.Service.StopConfirm.Question}", "{$addonlang.Service.StopConfirm.BtnNo}", "{$addonlang.Service.StopConfirm.BtnYes}", function(){
        requestData({
            Action: "Stop",
            ServiceId: ServiceID
        }, function(response){
            if (response.result === "error"){
                toastr.error('The service could not be stopped!', 'Error');
                return;
            }
            toastr.success('The service will be stopped!', 'Success');

        });
    });
}


function reinstall(){
    rsRootPass = $('#rsRootPass').val();
    rsRootPass2 = $('#rsRootPass2').val();
    if (rsRootPass != rsRootPass2){
        toastr.error('The Passwords do not match!', 'Error'); return;
    }

    

    requestData({
        Action: "Reinstall",
        ServiceId: ServiceID,
        Template: $('#osSelect').val(),
        Password: rsRootPass2,
    }, function(response){
        if (response.result === "error"){
            toastr.error('The Reinstall request could not be added!', 'Error');
            return;
        }
        toastr.success('The Service is being reinstalled!', 'Success');
        $('#reinstall').modal('hide');

    });
}

function rescue(){
    rRootPass = $('#rRootPass').val();
    rRootPass2 = $('#rRootPass2').val();
    if (rRootPass != rRootPass2){
        toastr.error('The Passwords do not match!', 'Error'); return;
    }
    requestData({
        Action: "Rescue",
        ServiceId: ServiceID,
        Password: rRootPass2,
    }, function(response){
        console.error(response);
        if (response.result === "error"){
            toastr.error('The rescue system could not be booted!', 'Error');
            return;
        }
        toastr.success('The Rescue System will be booted!', 'Success');
        $('#rescue').modal('hide');

    });
}

function AddCanallationrequest(){
    requestData({
        Action: "Cancel",
        ServiceId: ServiceID,
        Reason: $('#cancelreason').val(),
    }, function(response){
        if (response.result === "error"){
            toastr.error('The cancellation request could not be added!', 'Error');
            return;
        }
        toastr.success('The cancellation request has been added!', 'Success');

    });
}

function search(){
    query = $('#searchtxt').val();
    $('#searchloader').removeClass('hidden');
    $('#searchbox').addClass('hidden');
    requestData({ query: query }, function(response){
        if (response.result == "success"){
            $("#viewDSH").attr("href", "https://deinserverhost.de/store/clientarea.php?action=productdetails&id=" + response.service.id);
            ServiceID = response.service.id;
            $('#serviceid').html(response.service.id);
            $('#servicetstaus').html(response.service.domainstatus);
            $('#servicetype').html(response.service.type);
            $('#serviceprice').html(response.service.amount + "€");
            $('#serviceduedate').html(response.service.nextduedate);
            $('#infocard').removeClass('hidden');
        } else { toastr.error('No Service found!');  $('#infocard').addClass('hidden'); }
        $('#searchloader').addClass('hidden');
        $('#searchbox').removeClass('hidden');
    });
}

function requestData(formdata, callback){
     	$.ajax({
            type: 'POST',
            crossDomain: false,
            url: 'addonmodules.php?module=themanager&page=service',
            data: formdata,
            success: function(respond){
             	callback(respond);
            },
            error: function(response){
                console.log(response);
            }
        });
    };

</script>